Bug 6528 - ctdb - installation defaults
ctdb - installation defaults
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
unspecified
Other Windows XP
: P3 normal
: ---
Assigned To: Michael Adam
Michael Adam
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 13:54 UTC by Sam Darwin
Modified: 2016-08-09 22:25 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Darwin 2009-07-01 13:54:16 UTC
Followed basic instructions to install ctdb.   It installed into /usr/local/

Tried to use /usr/src/ctdb/config/ctdb.init as startup script.  It has various hardcoded paths, which are NOT in /usr/local.   

I don't have a preference here, but shouldn't ctdb come with some reasonable defaults, and work out-of-the-box without me having to debug the startup script?

Please advise.
Comment 1 Michael Adam 2009-09-22 16:06:38 UTC
Hi,

it is right: currently, ctdb scripts have hardcoded paths.
We should probably generate the scripts from ".in"-templates
in configure.

Cheers - MIchael
Comment 2 Martin Schwenke 2016-08-06 09:50:49 UTC
Can we mark this as fixed since Samba 4.4?
Comment 3 Martin Schwenke 2016-08-09 22:25:22 UTC
Fixed in Samba >= 4.4